Ubuntu

(natty/nvidia) No logo at boot on nvidia card

Reported by Luigi Pezzotta on 2011-04-27
154
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Plymouth
Invalid
Undecided
Unassigned
initramfs-tools (Ubuntu)
Medium
Steve Langasek

Bug Description

Binary package hint: plymouth

Hello,
I have a Nvidia GeForce 8600M GS, with proprietary drivers, and I am using Ubuntu Natty.

Since I updated to Natty (it was the Beta 2 version), plymouth only shows a purple screen, without logo and without dots. It's simply purple.

Note that, before updating, I had already solved the issue which made plymouth show the Ubuntu logo textual theme instead of the graphic one with proprietary drivers on Nvidia cards, so I don't think it's related (unless some of the files I modified were reset during the update, I don't know). This time, however, I don't even get the "default" text theme.
---
Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Acer Aspire 5520
NonfreeKernelModules: nvidia
Package: plymouth 0.8.2-2ubuntu23
PackageArchitecture: i386
ProcEnviron:
 LANGUAGE=it_IT:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic root=UUID=fd612675-057c-4887-8c29-de0c54da7ec8 ro quiet splash nomodeset video=uvesafb:mode_option=1280x800-24,mtrr=3,scroll=ywrap vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-11.50-generic 2.6.38.8
Tags: natty running-unity
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.38-11-generic i686
UpgradeStatus: Upgraded to natty on 2011-04-21 (157 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 10/29/2007
dmi.bios.vendor: Acer
dmi.bios.version: V1.10
dmi.board.name: Fuquene
dmi.board.vendor: Acer
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrV1.10:bd10/29/2007:svnAcer:pnAspire5520:pvrV1.10:rvnAcer:rnFuquene:rvrN/A:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 5520
dmi.product.version: V1.10
dmi.sys.vendor: Acer
---
Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Acer Aspire 5520
NonfreeKernelModules: nvidia
Package: plymouth 0.8.2-2ubuntu23
PackageArchitecture: i386
ProcEnviron:
 LANGUAGE=it_IT:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic root=UUID=fd612675-057c-4887-8c29-de0c54da7ec8 ro quiet splash nomodeset video=uvesafb:mode_option=1280x800-24,mtrr=3,scroll=ywrap vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-11.50-generic 2.6.38.8
Tags: natty running-unity
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.38-11-generic i686
UpgradeStatus: Upgraded to natty on 2011-04-21 (157 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 10/29/2007
dmi.bios.vendor: Acer
dmi.bios.version: V1.10
dmi.board.name: Fuquene
dmi.board.vendor: Acer
dmi.board.version: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrV1.10:bd10/29/2007:svnAcer:pnAspire5520:pvrV1.10:rvnAcer:rnFuquene:rvrN/A:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 5520
dmi.product.version: V1.10
dmi.sys.vendor: Acer

Alexey Golovin (spidermc) wrote :

Same here. Update to Natty and now have purple screen. Nvidia proprietary driver installed.
Only a purple screen shows on boot.

Michael Schout (mschout) wrote :

Similar situation here. was getting only a purple screen since upgrade to natty. I removed the plymouth fixes that I had applied in maverick and now I get the text plymouth, but its wierd.. the text mode only takes up the top left corner of my screen because it's (apparently) booting in the correct resolution. I still do not get the graphical plymouth on startup, only on shutdown.

To get the text plymouth here is what I did:

in /etc/default/grub:
removed "nomodeset video=uvesafb:mode_option=1680x1050-24,mtrr=3,scroll=ywrap" from GRUB_CMDLINE_LINUX

removed line:
GRUB_GFXMODE="1680x1050"

in /etc/initramfs-tools/modules:
removed line:
uvesafb mode_option=1680x1050-24@60 mtrr=3 scroll=ywrap

then ran "update-grub"

After this I get a text plymouth, but its tiny, and only takes up the upper-left corner of my screen because apparently the machine is booting in normal resolution, but is not using the graphical plymouth.

mfabry (mfabry) wrote :

Same here. During startup I get a blue screen with number 11.04 and 4 dots in upper left corner instead of nice Kubuntu Plymouth logo. I use 1680x1050 resolution on Nvidia 8800GT and proprietary drivers. Used to work fine in Lucid. Uvesafb mode gives me a black screen during startup and normal Kubuntu shutdown screen. I also tried to add parameter vga=791 to /etc/default/grub in GRUB_CMDLINE_LINUX_DEFAULT line. All I got was a low res Kubuntu startup screen. Unfortunately there are no vga modes supporting 1680x1050 resolution.

Not only propriety drivers but with Intel also, Thinkpad SL410.

Dizzy (brownfox) wrote :

The same story with my workstation: 1900x1200 and NVidia 9600GTX with proprietary drivers.
I have pink screen at boot without logo and LUKS password prompt for encrypted root partition.
However, system allows me to enter password without looking and then continues to boot normally.

The following lines are set in /etc/default/grub:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset video=uvesafb:mode_option=1920x1200-24,mtrr=3,scroll=ywrap"
GRUB_GFXMODE=1920x1200

If I set GRUB_GFXPAYLOAD_LINUX=1920x1200 additionaly, screen becomes pink, then black with the same behaviour.

Psychotron (redm) wrote :

Same here, Nvidia Geforce 320M. Same symptoms as written above: blue screen, entering crypt password blindly works, can do ugly text mode.

One thing to add generally also framebuffer and plymouth seems to work. With Maverick I was using the v86d based solution to get a nice boot splash. I removed all packages and settings related to it. Still, framebuffer works. So this hack shouldn't be needed anymore, it seems.

After booting into X and switching back to text VT the text terminals use framebuffer. And on shut down I actually get the Kubuntu splash. Only on startup the splash is not lauched somehow.

philinux (philcb) wrote :

I have a clean vanilla install. Additional driver "current recommended" installed. nVidia 8600GT.

I get a plain purple screen for most of the boot then a very brief appearance of the normal plymouth logo at the correct resolution. Shutdown also shows the correct resolution plymouth.

Changed in plymouth:
status: New → Confirmed
Changed in plymouth (Ubuntu):
status: New → Confirmed
Derek Chen-Becker (dchenbecker) wrote :

I'll see the "no logo" and raise you a "will not boot under 2.6.38-8". If I boot into 2.6.38-8 I get he behavior described here: purple screen, and it sits there. I have an encrypted root (LUKS), so I have to wait a minute and then blind-type my password in. Under 2.6.38-8 I see a brief amount of hard disk activity and then nothing. I let it sit 30 minutes and still a purple screen. If I boot into 2.6.35-28 (this is an upgrade from 10.10), then I get the same blank purple screen, but at least when I blind-type my LUKS passphrase I see solid disk activity for a minute or two and then GDM comes up. There appear to be a number of related bugs open on this, but this particular bug sounds the closest to what I'm seeing. For what it's worth:

01:00.0 VGA compatible controller: nVidia Corporation G86M [Quadro FX 360M] (rev a1)

thulle (thulle) wrote :

I'm having the same issue as Derek above, where I used to get a password prompt for LUKS I'm now only getting a purple screen.
Though if i blind-type the password i get 5seconds of disk activity and then the password prompt for the second drive (configured in crypttab) appears and I can then boot as usual.

01:00.0 VGA compatible controller: ATI Technologies Inc RV770 [Radeon HD 4850]
using AMD binary drivers (fglrx 8.840-0ubuntu4)

Daniel van Vugt (vanvugt) wrote :

I'm pretty sure this is a duplicate of bug 653477. Anyone got a good reason why not?

Psychotron (redm) wrote :

I dont' think it is. Bug 653477 is about Maverick, where the graphical boot logo was working fine, once you found the proper guide on the net. However on Natty this guide does not work anymore, as does any other suggestion. Plus it seems to work at least kind of on Natty (i.e. I see a logo at shutdown), while on Mav it was not working at all with a normal installation (without manual tweaking). So IMO these are two different issues.

Luigi Pezzotta (sunshadow86) wrote :

Yes, in Maverick it behaved differently. Plymouth used the "text" ubuntu logo instead of the graphical one, but it worked as expected in every other respect. By tweaking manually, you could have the graphical logo.

In Natty, absolutely nothing is displayed most of the time, just a purple screen. However, sometimes (at shutdown, mostly, but not at every shutdown in my case), the graphical logo is shown as normal. This means that plymouth doesn't use the text logo this time, so the bug is probably not the same.

Also, as noted by Psychotron, the guides for solving the Maverick bug don't work for this particular one in Natty.

Daniel van Vugt (vanvugt) wrote :

Luigi, if that is true then please clarify the description of this bug. Your Bug Description above suggests you had exactly the same blank screen problem in maverick ("before updating") as you have in natty.

Secondly, bug 653477 is about having a blank purple screen. Not the text screen. Please read the bug description carefully.

Finally, Launchpad is designed to track bugs across multiple releases in a single record. Just being different releases does not justify creating a separate bug.

description: updated
Luigi Pezzotta (sunshadow86) wrote :

You are right, by reading the description I had the impression it was a different bug. I don't have any problem with resolution (bug 653477 mentions "Also the screen resolution still bad (too big) on boot") and I don't see any text mode ("I tried that but the logo and 4 points still in text mode (are not graphic... )"), but probably in that case the bug I reported and the Maverick bug I mentioned earlier were just acting together, while in my case the latter is solved, and only the first bug remains.

By reading the some of the last comments it is clear that the situation is the same. My fault for not reading all the comments...

Psychotron (redm) wrote :

> Secondly, bug 653477 is about having a blank purple screen. Not the text screen. Please read the
> bug description carefully.
Sorry, but it seems to me that rather you should read more carefully... Bug 653477 is about text only boot with the proprietary Nvidia driver on Mavrick. It was _you_ wronly adding the graphical purple screen thing to it, what it is not about. So this one here clearly _is_ a different bug.

> Finally, Launchpad is designed to track bugs across multiple releases in a single record.
> Just being different releases does not justify creating a separate bug.
Of course not. However it's a different issue, so a separat report is justified.

Luigi: Please unduplicate...

Daniel van Vugt (vanvugt) wrote :

Good point; apologies. I read "Ubuntu logo is missing" as blank, missing the part where the logger clarified he had the text mode in a later comment.

I've now clarified the title of #653477 to avoid confusion. Like you guys, I am suffering from bug 771905, not bug 653477.

This bug does indeed need to be unduplicated.

Daniel van Vugt (vanvugt) wrote :

Also note; when I mentioned "blank purple screen" in the other bug, that was 4 days before this bug existed :)

Daniel van Vugt (vanvugt) wrote :

Argh, 8 days I mean. Time for coffee...

Psychotron (redm) wrote :

Great that we agree on that ;) And next time think about it, before accusing other people to be incapable of reading and using launchpad. Yes this is what came across, at least for me.

And I still don't understand why you edit other peoples bug titles instead of clearifying your misplaced comments there, now that you know that this is a different issue.

Daniel van Vugt (vanvugt) wrote :

Yes, I had a bad day... Sorry once again.

The reason why it is important to clarify bug titles is so that idiots like me can understand what the bug is about without having to read every comment. And so that anyone can easily identify whether other bugs are duplicates.

Luigi Pezzotta (sunshadow86) wrote :

Ok, glad that's clarified... I was quite tired last time, and seeing mentions of "blank purple screen" led me to believe the bug was actually the same, and I didn't have enough stamina to try to understand what was really going on :P

jerico (jerico-dev) wrote :

Please see the additional apport data in #777302. This also affects ATI cards + LUKS (on an HP ProBook 4720s).

Stephen Warren (srwarren) wrote :

If you break into the grub menu, edit the grub option you want to boot, and remote "quiet splash" from the linux command-line, you'll boot into text mode, and hence see the crypt password prompt.

Stephen Warren (srwarren) wrote :

Hmm. I partially take that back. The actual content of the kernel command-line isn't important. What is important is editing in grub (i.e. at the grub menu, press e to edit, don't make any changes, then press ctrl-x to boot). That works most of the time, but just occasionally doesn't.

Stephen Warren (srwarren) wrote :

If you edit /boot/grub.cfg and override the "timeout" lines to be "timeout=0", grub never displays a boot menu, but instead jumps straight to booting the default option. In this case, the password prompt is visible for me.

IIRC, by default, Ubuntu configures grub to *not* display the menu (hence this works for everyone) *unless* you have another OS installed (e.g. Windows), in which case, grub is configured to display the menu so you can choose (and displaying the menu, without displaying the editing screen seems to be the related to this problem)

Does everyone affected see the grub menu during boot, but others (who unfortunately probably won't be reading this bug...) not?

jerico (jerico-dev) wrote :

Hi Stephen, setting "quiet splash" or switching splash to off in the config doesn't make a difference for me. I'll check the editing and timeout workarounds later today. In any case I can confirm that I have several OS installed which means that I see the grub boot menu. Thanks for looking into this, btw.

Luigi Pezzotta (sunshadow86) wrote :

I actually don't see the grub menu, since I have only Ubuntu 11.04 installed. After the BIOS screen, I only get a brief black screen (with the usual "flashing underscore", I don't know how it's called), then the completely purple screen described here.

Another thing: I have a similar problem on my netbook, which has an Intel Graphic Media Accelerator 3150. The behaviour is almost the same, but after the purple screen (which stays like that most of the time) the logo appears for a little while before the boot sequence is completed. Looks like plymouth shows the logo late for some reason.

When I turn off the pc, the logo always appears as expected on the netbook, while it appears only sometimes on my laptop (which mounts a Nvidia GeForce 8600M GS with proprietary drivers). On the laptop it usually has a couple of issues: the logo appears, but the dots do not; also, the bottom part of the screen is black and messages showing the status of the "switch off sequence" appear.

@Stephen: I had came to a similar idea. This is how my
/etc/default/grub looks like:
GRUB_CMDLINE_LINUX_DEFAULT="noplymouth nosplash
kopt=root=/dev/mapper/ubuntu-root"
But it doesn't work for me most of the time, either.

Before I noticed that I could type in my cryptsetup password despite
the purple screen, I used to press Ctrl-Alt-Del to reboot. Mostly, I
would be in text boot mode the next time. Can anyone confirm this?

On Wed, Jun 8, 2011 at 21:10, Luigi Pezzotta <email address hidden> wrote:
> I actually don't see the grub menu, since I have only Ubuntu 11.04
> installed. After the BIOS screen, I only get a brief black screen (with
> the usual "flashing underscore", I don't know how it's called), then the
> completely purple screen described here.
>
> Another thing: I have a similar problem on my netbook, which has an
> Intel Graphic Media Accelerator 3150. The behaviour is almost the same,
> but after the purple screen (which stays like that most of the time) the
> logo appears for a little while before the boot sequence is completed.
> Looks like plymouth shows the logo late for some reason.
>
> When I turn off the pc, the logo always appears as expected on the
> netbook, while it appears only sometimes on my laptop (which mounts a
> Nvidia GeForce 8600M GS with proprietary drivers). On the laptop it
> usually has a couple of issues: the logo appears, but the dots do not;
> also, the bottom part of the screen is black and messages showing the
> status of the "switch off sequence" appear.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/771905
>
> Title:
>  No logo at boot on nvidia card
>
> Status in The Plymouth splash screen:
>  Confirmed
> Status in “plymouth” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: plymouth
>
>  Hello,
>  I have a Nvidia GeForce 8600M GS, with proprietary drivers, and I am using Ubuntu Natty.
>
>  Since I updated to Natty (it was the Beta 2 version), plymouth only
>  shows a purple screen, without logo and without dots. It's simply
>  purple.
>
>  Note that, before updating, I had already solved the issue which made
>  plymouth show the Ubuntu logo textual theme instead of the graphic one
>  with proprietary drivers on Nvidia cards, so I don't think it's
>  related (unless some of the files I modified were reset during the
>  update, I don't know). This time, however, I don't even get the
>  "default" text theme.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/plymouth/+bug/771905/+subscribe
>

Try adding "GRUB_GFXPAYLOAD_LINUX=text" to /etc/defaults/grub and that should do it, you'll get the text splash at least. You might try setting "nomodeset" kernel option, but it shouldn't be neccessary. quiet and splash you can leave in. At least that's what I have here. (GRUB_CMDLINE_LINUX_DEFAULT="quiet splash reboot=pci") And don't forget to run update-grub.

Stephen Warren (srwarren) wrote :

Psychotron's workaround of adding "GRUB_GFXPAYLOAD_LINUX=text" to /etc/defaults/grub works for me.

Alternatively, another option that works for me: Find the following pre-existing text in /etc/defaults/grub:

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console

and remove the initial # character from the second line:

# Uncomment to disable graphical terminal (grub-pc only)
GRUB_TERMINAL=console

(and run "sudo update-grub" after either change)

BearT (beart) wrote :

To answer Stephen Warrens question (#25): Yes, I do see the Grub menu and have multiple OS on my machine.

And secondly, yes, your workaround (#30) enabling GRUB_TERMINAL=console does work for me. I'm fine with that, I really don't need the graphical boot. I didn't try Psychotrons workaround (#29) since I am lazy and Stephens was simpler. ;-) Thanks for that.

jerico (jerico-dev) wrote :

GRUB_GFXPAYLOAD_LINUX=text works for me

"GRUB_GFXPAYLOAD_LINUX=text" works for me as well. Thanks, Psychotron.

On Sat, Jun 11, 2011 at 15:54, jerico <email address hidden> wrote:
> GRUB_GFXPAYLOAD_LINUX=text works for me
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/771905
>
> Title:
>  No logo at boot on nvidia card
>
> Status in The Plymouth splash screen:
>  Confirmed
> Status in “plymouth” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  Binary package hint: plymouth
>
>  Hello,
>  I have a Nvidia GeForce 8600M GS, with proprietary drivers, and I am using Ubuntu Natty.
>
>  Since I updated to Natty (it was the Beta 2 version), plymouth only
>  shows a purple screen, without logo and without dots. It's simply
>  purple.
>
>  Note that, before updating, I had already solved the issue which made
>  plymouth show the Ubuntu logo textual theme instead of the graphic one
>  with proprietary drivers on Nvidia cards, so I don't think it's
>  related (unless some of the files I modified were reset during the
>  update, I don't know). This time, however, I don't even get the
>  "default" text theme.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/plymouth/+bug/771905/+subscriptions
>

Hmm, both of the suggested workarounds seem to fail on a Macbook Air (Nvidia 320M) in the same way: causing a black screen with blinking cursor. Without the workarounds it's a purple screen with no cursor.

I still suspect there might be a related issue for systems which boot quickly, especially with fast SSDs. In those cases, maybe plymouth and plymouthd just never have time to do anything between the kernel finishing booting, and X (gdm) starting. Just a theory right now. I may find the time to try and prove it later...

Luigi Pezzotta (sunshadow86) wrote :

Psychotron's workaround works for me (I have the wrong resolution, and I see a big purple screen with a small text logo in the upper left portion of it; it's probably related to some settings I used to solve bug 653477 I had not reverted). It's not a real solution, since it's like reverting to bug 653477 itself, having a text logo instead of a graphic one, but at least it works!

Stephen's workaround does not work for me, however...

Daniel van Vugt (vanvugt) wrote :

It turns out I am seeing bug 540801, which has at least one simple workaround: https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/540801/comments/145

magelan (magelan) wrote :

For me the workarounds
GRUB_GFXPAYLOAD_LINUX=text
GRUB_TERMINAL=console (cant enter LUKS passphrase)
#GRUB_GFXMODE=1280x1024 (commenting)

do not work. Any further suggestions?

Psychotron (redm) wrote :

@Lekensteyn: Good catch! Your workaround works great! Thanks a lot!

So, users of proprietary Nvidia (and probably ATI/AMD as well) can do the same for the vesafb driver.

Create a file /etc/initramfs-tools/scripts/init-top/load-vesafb with content:

#!/bin/sh
modprobe vesafb

Then make it executable:

chmod 755 /etc/initramfs-tools/scripts/init-top/load-vesafb

And update initramfs:

update-initramfs -u

And voila you should have your graphical boot screen back! (of course you need to set grub to graphical boot again)

Now if we are lucky 12.10 will already contain a fix for this ... of course, we shall not use evil proprietary drivers anyway ...SCNR

Luigi Pezzotta (sunshadow86) wrote :

Thanks Lekensteyn and Psychotron! The workaround works perfectly if I follow Psychotron's instructions on my laptop with nVidia!

I do confirm that the workaround of comment #39 works fine for me too on the HP Elitebook 8440p with Nvidia graphic adapter.

philinux (philcb) wrote :

The above workaround comment #39 does not work for me.

nVidia 8600GT. Still just got a plain Aubergine background. No logo, no animation.

philinux (philcb) wrote :

Bit confusing this. I reversed the changes to the system. Then double checked /etc/default/grub.

This line was commented out, I must have done this I guess at some time. GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

However I was seeing a plain aubergine background for 20 secs then text very briefly then the login.

I've uncommented the line. Updated grub and now I get this.

Plain aubergine background as previous then a very brief Logo and dots. Then login.

bastafidli (ubuntu-bastafidli) wrote :

I can also confirm that #39 fixed it on a system with 3 Nvidia cards (450GTS, 2x 7200GS) with Kubuntu 11.04

I confirm that #39 fixed it on Dell Vostro 3500, Nvidia 310M, Kubuntu natty.
Applied as follows:
1 – Add the following line to /etc/default/grub:
GRUB_GFXPAYLOAD_LINUX=1360x768 // or whatever is your native resolution
2 – echo FRAMEBUFFER=y | sudo tee /etc/initramfs-tools/conf.d/splash
3 - The fix at #39
3 – sudo update-grub
sudo update-initramfs -u

pusher (thorsten-hehn) wrote :

Post #39 fixed the problem on my computer with Ubuntu Natty and nVidia GeForce 6600 GT.

Thanks very much.

magelan (magelan) wrote :

I also tried it with comment 39, just used "radeon" instead. After the changes described there, also initramfs-update, I made a reboot and was locked out of the system! I could not enter my password for the decryption on the black screen where normally no letters appeared and where normally I could blindly type in the password (normally means with this bug active). Instead, the English keyboard layout was active and the letters were printed on the screen.
So I tried the recovery console; did not work either, probably uses the same initramfs. Then I chose the previous (normal) kernel version and could change the file, but I just made a "#" before "modprobe radeon", so that it is a comment. update-initramfs. Then: It worked. I could enter the password and now even unity works and I solved this problem: http://ubuntuforums.org/showthread.php?p=11114126 and http://forum.ubuntuusers.de/topic/unity-startet-nicht-mit-radeon-glx-ext-texture-fro/ ("GLX_EXT_texture_from_pixmap missing").
With a commented "radeon modprobe" it worked for me.
Hope this helps everyone with the radeon driver.
Thank you.

Tomáš Hudec (tommy-hudec) wrote :

I have Xubuntu natty, nVidia 8600M GT (on Dell Vostro 1500) and I had the same problem:
Enabling graphics menu with GRUB caused not displaying plymouth splash.

Workaround 1 — only text GRUB and text splash: Set GRUB_TERMINAL=console in /etc/default/grub. This is not preferred.

Workaround 2 — still using graphical GRUB menu but only text splash:
1. Add the following line in /etc/default/grub:
GRUB_GFXPAYLOAD_LINUX=text
2. Then update grub by running:
sudo update-grub2

Solution — still using grapgical GRUB menu and also graphical splash (like #39 and #45) — preferred:
1. Add the following line in /etc/default/grub:
GRUB_GFXPAYLOAD_LINUX=1280x800 # or whatever resolution you want on your system
2. Update grub:
sudo update-grub2
3. Create /etc/initramfs-tools/scripts/init-top/load-vesafb (like in #39) — script attached.
On my system there was no need to add the file /etc/initramfs-tools/conf.d/splash containing FRAMEBUFFER=y (see #45).
4. Then update ramdisk:
sudo update-initramfs -u

The attachment "/etc/initramfs-tools/scripts/init-top/load-vesafb" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

Luigi, is this problem still reproducible for you with the oneiric beta?

Please run 'apport-collect 771905' from the affected system to provide further information about your hardware and your plymouth config.

Changed in plymouth (Ubuntu):
status: Confirmed → Incomplete
Steve Langasek (vorlon) wrote :

It's not at all clear why loading vesafb from the initramfs would have any effect, given that /etc/init/udev-fallback-graphics.conf should already ensure that vesafb is loaded before plymouth starts. It's possible that vesafb needs to be loaded *before* the nvidia driver to have the necessary effect; that seems to be a change from past behavior of the drivers.

summary: - No logo at boot on nvidia card
+ (natty/nvidia) No logo at boot on nvidia card

apport information

tags: added: apport-collected natty running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Download full text (3.5 KiB)

Hi Steve,

I have just tested with Oneiric Beta1 and I still don't have the Ubuntu Logo when I boot. Still the same behavior after updating to the latest packages. Here is my graphic adapter info :

01:00.0 VGA compatible controller: nVidia Corporation GT218 [NVS 3100M] (rev a2) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Device 172b
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 3: Memory at d0000000 (64-bit, prefetchable) [size=32M]
        Region 5: I/O ports at 5000 [size=128]
        [virtual] Expansion ROM at d3080000 [disabled] [size=512K]
        Capabilities: [60] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
                Address: 0000000000000000 Data: 0000
        Capabilities: [78] Express (v2) Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 <64us
                        ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 512 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
                LnkCap: Port #0, Speed 5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <4us
                        ClockPM+ Surprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
                DevCap2: Completion Timeout: Not Supported, TimeoutDis+
                DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
                LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
                         Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
                         Compliance De-emphasis: -6dB
                LnkSta2: Current De-emphasis Level: -6dB
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100 v1] Virtual Channel
                Caps: LPEVC=0 RefClk=100ns PATEntryBits=1
                Arb: Fixed- WRR32- WRR64- WRR128-
                Ctrl: ArbSelect=Fixed
                Status: InProgress-
                VC0: Caps: PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
                        Arb: Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
                        Ctrl: ...

Read more...

Luigi Pezzotta (sunshadow86) wrote :

Steve, I'd rather not install the Oneiric beta, since this is the only computer I have constant access at the moment. I was planning to not install Oneiric until the stable version, or maybe the RC. I don't know if using the live cd would be useful, since I'm not sure that plymouth is loaded in the same way (if loaded at all), considering that the proprietary drivers would not be loaded (I think). Let me know if it would help, if so, I will try.

Anyway, I ran 'apport-collect 771905'.

Steve Langasek (vorlon) wrote :

Luigi,

> I was planning to not install Oneiric until the stable version, or maybe the RC.

Ubuntu no longer issues RC images; beta2 now serves the same function as the previous RC, but with a name which more accurately describes its contents. There should be no changes between now and the oneiric release that would break your system, just as there shouldn't be between the RC and final release. But of course this is never certain, so I understand if you prefer to wait.

> I don't know if using the live cd would be useful, since I'm not
> sure that plymouth is loaded in the same way (if loaded at all),

It's not loaded the same way, but it definitely is loaded. So that would be an interesting data point.

> Anyway, I ran 'apport-collect 771905'.

Thanks for that. I'll see what we can distill from this.

Changed in plymouth (Ubuntu):
status: Incomplete → Confirmed
Steve Langasek (vorlon) wrote :

Luigi,

> Anyway, I ran 'apport-collect 771905'.

Did you run this with the workaround from comment #39 applied? The apport output shows that the VESA framebuffer is loaded. I definitely need to see the output when this workaround is *not* applied, to understand what's going wrong.

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Luigi Pezzotta (sunshadow86) wrote :

Sorry Steve, my fault. I have removed the 'load-vesafb' file from comment #39, restarted the pc, and ran 'apport-collect 771905' again. As expected, I had a purple screen instead of a normal plymouth theme at start. Let me know if I can be of any more help.

Steve Langasek (vorlon) wrote :

I understand now what's happening here, and have a tentative solution, described in bug #864149. grub is starting the kernel with the console in graphics mode, but nothing in the initramfs ensures that the kernel is able to pick up access to this graphical framebuffer. Forcing vesafb to be loaded on boot as a fallback (which we already do when plymouth is not in the initramfs) will take care of this.

Changed in plymouth:
status: Confirmed → Invalid
affects: plymouth (Ubuntu) → initramfs-tools (Ubuntu)
Changed in initramfs-tools (Ubuntu):
assignee: nobody → Steve Langasek (vorlon)
importance: Undecided → Medium
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.99ubuntu6

---------------
initramfs-tools (0.99ubuntu6) oneiric; urgency=low

  * scripts/init-top/framebuffer: fall back to vesafb if no other
    framebuffer is found/configured, so we can take full advantage of the
    grub gfxpayload handoff support. This ensures we get a clean
    framebuffer-based plymouth screen even when using binary video drivers.
    LP: #864149, LP: #563878, LP: #771905.
 -- Steve Langasek <email address hidden> Sat, 01 Oct 2011 20:53:15 -0700

Changed in initramfs-tools (Ubuntu):
status: Triaged → Fix Released
Stephen Warren (srwarren) wrote :

Will there be an update released for Natty?

On Wed, Oct 05, 2011 at 12:32:14AM -0000, Stephen Warren wrote:
> Will there be an update released for Natty?

No, sorry. But oneiric will be released soon with this fix.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers